> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/1.9/pipeline/filters/geoip2-filter.md).

# GeoIP2 Filter

Look up Geo data from IP

GeoIP2 Filter allows you to enrich the incoming data stream using location data from GeoIP2 database.

## Configuration Parameters <a href="#config" id="config"></a>

This plugin supports the following configuration parameters:

| Key         | Description                                                                          |
| ----------- | ------------------------------------------------------------------------------------ |
| database    | Path to the GeoIP2 database.                                                         |
| lookup\_key | Field name to process                                                                |
| record      | Defines the `KEY LOOKUP_KEY VALUE` triplet. See below for how to set up this option. |

## Getting Started <a href="#getting_started" id="getting_started"></a>

The following configuration will process incoming `remote_addr`, and append country information retrieved from GeoLite2 database.

```
[INPUT]
    Name   dummy
    Dummy  {"remote_addr": "8.8.8.8"}

[FILTER]
    Name geoip2
    Match *
    Database GeoLite2-City.mmdb
    Lookup_key remote_addr
    Record country remote_addr %{country.names.en}
    Record isocode remote_addr %{country.iso_code}

[OUTPUT]
    Name   stdout
    Match  *
```

Each `Record` parameter above specifies the following triplet:

1. The field name to be added to records (`country`)
2. The lookup key to process (`remote_addr`)
3. The query for GeoIP2 database (`%{country.names.en}`)

By running Fluent Bit with the configuration above, you will see the following output:

```javascript
{"remote_addr": "8.8.8.8", "country": "United States", "isocode": "US"}
```

Note that the `GeoLite2-City.mmdb` database is available from [MaxMind's official site](https://dev.maxmind.com/geoip/geoip2/geolite2/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluentbit.io/manual/1.9/pipeline/filters/geoip2-filter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
